package service

import (
	"be.ems/src/modules/system/model"
	"be.ems/src/modules/system/repository"
)

// NewSysLogUserPassword 实例化服务层
var NewSysLogUserPassword = &SysLogUserPassword{
	sysLogUserPasswordRepository: repository.NewSysLogUserPassword,
}

// SysLogUserPassword 用户密码变更日志 服务层处理
type SysLogUserPassword struct {
	sysLogUserPasswordRepository *repository.SysLogUserPassword // 用户密码变更日志表日志信息
}

// Insert 新增信息
func (s SysLogUserPassword) Insert(param model.SysLogUserPassword) int64 {
	return s.sysLogUserPasswordRepository.Insert(param)
}

// Delete 删除信息
func (s SysLogUserPassword) DeleteByUserId(userIds []int64) int64 {
	return s.sysLogUserPasswordRepository.DeleteByUserId(userIds)
}
